
#include <stdio.h>
#include "..\..\..\j2k-codec.h"

void main()
{
 int j2k_ver = J2K_getVersion();

 if(j2k_ver < 0x100000) return; // This way you can make sure the version is at least 1.0 (or any other required)

 printf("\n J2K-Codec version: %x.%x (build %u)\n", (j2k_ver>>16)&0x0F, j2k_ver>>20, j2k_ver&0xFFFF); 


 J2K_Image j2k_image;

 int j2k_err = j2k_image.open("test.j2k"); if(j2k_err!=J2KERR_SUCCESS){ printf("\n J2K-Codec error: %s.\n", j2k_image.errStr); return; }

 printf("\n Image info: %ux%u, %u component(s).\n", j2k_image.width, j2k_image.height, j2k_image.components);

 // j2k_image.close(); Optional, it will be called from the destructor anyway
}
